<?
include_once("_common.php");

if (trim($reg_mb_email)=='') {
    echo "110"; // 没有输入
} else if (!preg_match("/([0-9a-zA-Z_-]+)@([0-9a-zA-Z_-]+)\.([0-9a-zA-Z_-]+)/", $reg_mb_email)) {
    echo "120"; // E-mail 地址格式错误！
} else {
    $row = sql_fetch(" select count(*) as cnt from $g4[member_table] where mb_id <> '$reg_mb_id' and mb_email = '$reg_mb_email' ");
    if ($row[cnt]) {
        echo "130"; // 地址重复
    } else {
        //if (preg_match("/[\,]?{$reg_mb_email}\,/i", $config[cf_prohibit_id].","))
        if (preg_match("/[\,]?{$reg_mb_email}/i", $config[cf_prohibit_id]))
            echo "140"; // 禁止使用地址
        else
            echo "000"; // 正常
    }
}
?>